com.ihr.xbrl.database.pagination

## Class IndexPageScroll

- java.lang.Object
- - com.ihr.xbrl.database.pagination.EmptyPageScroll
  - - com.ihr.xbrl.database.pagination.IndexPageScroll

- All Implemented Interfaces:
    PageScroll
  Direct Known Subclasses:
    NumberPageScroll

      public abstract class IndexPageScroll
      extends EmptyPageScroll

  The Class IndexPageScroll.

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.database.pagination.PageScroll

      `BOLD_PATTERN, LINK_PATTERN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Serializable` | `getCurrentIdentifier()` Gets the current identifier.
    `java.io.Serializable` | `getNextIdentifier()` Gets the next identifier.
    `java.io.Serializable` | `getPreviousIdentifier()` Gets the previous identifier.
    `java.lang.String` | `getTaskbar()` Gets the taskbar.
    `boolean` | `isFirst()` Checks if is first.
    `void` | `setCurrentIdentifier(java.lang.String stringIdentifier)` Sets the current identifier.

    - ### Methods inherited from class com.ihr.xbrl.database.pagination.EmptyPageScroll

      `firstResult, getLimit, getTotalCount, hasNext, hasPrevious, hasTotalCount, isLast, isLimitable, isUsePageScroll, orderBy, propertiesBean, query, setClass, setTotalCount, transformer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCurrentIdentifier

          public java.io.Serializable getCurrentIdentifier()

      Description copied from interface: `PageScroll`
      Gets the current identifier.
      Specified by:
        `getCurrentIdentifier` in interface `PageScroll`
      Overrides:
        `getCurrentIdentifier` in class `EmptyPageScroll`
      Returns:
        the current identifier

    - #### setCurrentIdentifier

          public void setCurrentIdentifier(java.lang.String stringIdentifier)

      Description copied from interface: `PageScroll`
      Sets the current identifier.
      Specified by:
        `setCurrentIdentifier` in interface `PageScroll`
      Overrides:
        `setCurrentIdentifier` in class `EmptyPageScroll`
      Parameters:
        `stringIdentifier` - the new current identifier

    - #### getPreviousIdentifier

          public java.io.Serializable getPreviousIdentifier()

      Description copied from interface: `PageScroll`
      Gets the previous identifier.
      Specified by:
        `getPreviousIdentifier` in interface `PageScroll`
      Overrides:
        `getPreviousIdentifier` in class `EmptyPageScroll`
      Returns:
        the previous identifier

    - #### getNextIdentifier

          public java.io.Serializable getNextIdentifier()

      Description copied from interface: `PageScroll`
      Gets the next identifier.
      Specified by:
        `getNextIdentifier` in interface `PageScroll`
      Overrides:
        `getNextIdentifier` in class `EmptyPageScroll`
      Returns:
        the next identifier

    - #### isFirst

          public boolean isFirst()

      Description copied from interface: `PageScroll`
      Checks if is first.
      Specified by:
        `isFirst` in interface `PageScroll`
      Overrides:
        `isFirst` in class `EmptyPageScroll`
      Returns:
        true, if is first

    - #### getTaskbar

          public java.lang.String getTaskbar()

      Description copied from interface: `PageScroll`
      Gets the taskbar.
      Specified by:
        `getTaskbar` in interface `PageScroll`
      Overrides:
        `getTaskbar` in class `EmptyPageScroll`
      Returns:
        the taskbar